#ifndef WAITANIMATIONWIDGET_H
#define WAITANIMATIONWIDGET_H

#include <QMovie>
#include <QWidget>
#include "instructorsAndTrainees_global.h"

namespace Ui {
class WaitAnimationWidget;
}

class INSTRUCTORSANDTRAINEES_EXPORT WaitAnimationWidget : public QWidget
{
    Q_OBJECT

public:
    explicit WaitAnimationWidget(QWidget *parent = nullptr);
    void initialize(QMovie *movie,QWidget *parent);
    void showWithPlay();
    void hideWithStop();
    void resize(QSize size);
    ~WaitAnimationWidget();

private:
    Ui::WaitAnimationWidget *ui;
    QMovie *loadingMovie;
};

#endif // WAITANIMATIONWIDGET_H
